$(function()
{
    var email;
    
    window.scrollReveal = new scrollReveal();
	"use strict";
    
    // PreLoader
	$(window).load(function() {
		$(".loader").fadeOut(400);
	});

    $('body').on('click', '#abrir-modal', function()
    {
        $('.alert').addClass('hide');
        $('form[name=cadastro]')[0].reset();
        var inst = $('[id=modal-cadastro]').remodal();
        inst.open();

    });

    $('form[name=cadastro]').find('input[type=email]').keyup(function()
    {
        $('.alert').addClass('hide');
    })

    $('form[name=cadastro]').find('input[type=email]').change(function()
    {
        $('.alert').addClass('hide');
    })

    $('form[name=cadastro]').submit(function(e)
    {
        e.preventDefault();

        email = $(this).find('input[type=email]').val();
        if (email != "")
        {
            var filtro = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
            if (filtro.test(email))
            {
                var data = {
                    origin: 'leadpg',
                    email: email
                };

                var target = base_url + 'newsletter/newsletter/cadastro';

                $.ajax(
                {
                    url: target,
                    dataType: 'json',
                    type: 'POST',
                    cache: false,
                    data: data,
                    success: function(success)
                    {

                        if (success.result == 1)
                        {
                            //var html = 
                            $('#modal-cadastro').find('.alert').removeClass('hide');
                            $('#modal-cadastro').find('.alert>.text-error').html(success.form);
                        }
                        if (success.result == 2)
                        {
                            $('form[name=cadastro]')[0].reset();
                            var s = $('[id=modal-sucess]').remodal();
                            s.open();
                        }
                        if (success.result == 3)
                        {
                            $('#modal-cadastro').find('.alert').removeClass('hide');
                            $('#modal-cadastro').find('.alert>.text-error').html(success.form);
                        }

                    },
                    error: function(error)
                    {
                        /* $("body").css("cursor", "auto");
                         $('.message').remove()
                         lmsg.html('<div class="message login-warning bg-warning"><p>Falha de Comunicação com o Servidor.</p></div>');*/
                    }
                });
            }
            else
            {
                $('#modal-cadastro').find('.alert').removeClass('hide');
                $('#modal-cadastro').find('.alert>.text-error').html('Esse endereço de e-mail não é válido!');
            }
        }
        else
        {
            $('#modal-cadastro').find('.alert').removeClass('hide');
            $('#modal-cadastro').find('.alert>.text-error').html('Digite um e-mail válido.');
        }

    });

    $("body").on('click', '#reenvio', function(ee)
    {

        if (email != "")
        {
            var filtro = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
            if (filtro.test(email))
            {
                var data = {
                    origin: 'leadpg',
                    email: email
                };

                var target = base_url + 'newsletter/newsletter/reenvio';

                $.ajax(
                {
                    url: target,
                    dataType: 'json',
                    type: 'POST',
                    cache: false,
                    data: data,
                    success: function(success)
                    {

                        if (success.result == 1)
                        {
                            //var html = 
                            $('#modal-cadastro').find('.alert').removeClass('hide');
                            $('#modal-cadastro').find('.alert>.text-error').html(success.form);
                        }
                        if (success.result == 2)
                        {
                            $('form[name=cadastro]')[0].reset();
                            var s = $('[id=modal-sucess]').remodal();
                            s.open();
                        }
                        if (success.result == 3)
                        {
                            $('#modal-cadastro').find('.alert').removeClass('hide');
                            $('#modal-cadastro').find('.alert>.text-error').html(success.form);
                        }

                    },
                    error: function(error)
                    {
                        /* $("body").css("cursor", "auto");
                         $('.message').remove()
                         lmsg.html('<div class="message login-warning bg-warning"><p>Falha de Comunicação com o Servidor.</p></div>');*/
                    }
                });
            }
            else
            {
                $('#modal-cadastro').find('.alert').removeClass('hide');
                $('#modal-cadastro').find('.alert>.text-error').html('Esse endereço de e-mail não é válido!');
            }
        }
        else
        {
            $('#modal-cadastro').find('.alert').removeClass('hide');
            $('#modal-cadastro').find('.alert>.text-error').html('Digite um e-mail válido.');
        }

    });

    //});

    $('.close-alert').click(function(e)
    {
        e.preventDefault();
        $('.alert').addClass('hide')
    });

    //$(document).ready(function(){

    $(window).scroll(function()
    {
        if ($(this).scrollTop() > 1)
        {
            $("#to-top").css(
            {
                bottom: '15px'
            });
        }
        else
        {
            $("#to-top").css(
            {
                bottom: '-100px'
            });
        }
    });
    
    $("#to-top").on('click', function()
    {
        $('html, body').animate(
        {
            scrollTop: '0px'
        }, 800);
        return false;
    });
    
    $(".hover-footer").mouseover(function(){
	     $( ".img-footer" ).eq(0).hide();
	    $( ".img-footer" ).eq(1).show();
	}).mouseout(function(){
	    $( ".img-footer" ).eq(1).hide();
	    $( ".img-footer" ).eq(0).show();
	})

});